<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2002-2004 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="mtlb_find">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_find</refname>
    <refpurpose>Fonction d'émulation de la fonction Matlab find</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Dans plusieurs cas particuliers, la fonction <literal>find</literal> se comporte différemment dans Matlab et dans Scilab :</para>
    <itemizedlist>
      <listitem>
        <para>
        Avec un paramètre d'entrée qui est un vecteur colonne ou une matrice :  La fonction Matlab <literal>find</literal>
	retourne un(des) vecteur(s) colonne alors que Scilab retourne un(des) vecteur(s) ligne.
        </para>
      </listitem>
      <listitem>
        <para>
        Avec trois paramètres de sortie : La fonction Matlab <literal>find</literal> peut retourner trois valeurs
	mais pas la fonction Scilab.
        </para>
      </listitem>
    </itemizedlist>
    <para>
    La fonction <literal>[i[,j[,v]]] = mtlb_find(B)</literal> est utilisée par
    <literal>mfile2sci</literal> pour remplacer <literal>[i[,j[,v]]] = find(B)</literal> quand il n'était pas
    possible de savoir ce qu'étaient les paramètres d'entrée pendant la conversion d'un code Matlab vers Scilab. Cette fonction va
    déterminer la sémantique correcte pendant l'exécution. Pour obtenir un code plus performant
    on peut remplacer les appels à <literal>mtlb_find</literal> :
    </para>
    <itemizedlist>
      <listitem>
        <para>
        Pour un appel avec un seul paramètre de sortie, si <literal>B</literal> est un vecteur ligne,
        <literal>i = mtlb_find(B)</literal> peut être remplacé par <literal>i = find(B)</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        Pour un appel avec un seul paramètre de sortie, si <literal>B</literal> n'est pas un vecteur ligne,
        <literal>i = mtlb_find(B)</literal> peut être remplacé par <literal>i = matrix(find(B),-1,1)</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        Pour un appel avec deux paramètres de sortie, si <literal>B</literal> est un vecteur ligne,
        <literal>[i,j] = mtlb_find(B)</literal> peut être remplacé par <literal>[i,j] = find(B)</literal>
        </para>
      </listitem>
      <listitem>
        <para>
        Pour un appel avec un seul paramètre de sortie, si <literal>B</literal> n'est pas un vecteur ligne,
        <literal>[i,j] = mtlb_find(B)</literal> peut être remplacé par 
	<literal>[i,j] = find(B);i = matrix(i,-1,1);j = matrix(j,-1,1);</literal>
        </para>
      </listitem>
    </itemizedlist>
    <para>Attention : <literal>mtlb_find</literal> ne doit pas être utilisée pour une programmation manuelle.</para>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
